Package ru.bgcrm.model.process.queue

# Class Processor

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.model.process.queue.Processor

All Implemented Interfaces:
  `Serializable`, `GetJsp`, `Id<Integer>`

Direct Known Subclasses:
  `DefaultMarkedProcessor`

public class Processor extends Id implements GetJsp
Processor may be defined in two ways:
- name of an extending class, used normally in`Interface.USER` interface;
- page URL pointing to an action.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Processor(int id, ConfigMap configMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  `ConfigMap`
  `getConfigMap()`
  `String`
  `getIface()`
  `String`
  `getJsp()`
  `String`
  `getPageUrl()`
  `String`
  `getTitle()`
  `boolean`
  `isHtmlReport()`
  `void`
  `process(ProcessMarkedActionEvent e, ConnectionSet conSet)`
  Processing event for a class-based processor.

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Processor

    public Processor(int id, ConfigMap configMap)

- ## Method Details

  - ### getConfigMap

    public ConfigMap getConfigMap()

  - ### getTitle

    public String getTitle()

  - ### getIface

    public String getIface()
    Returns:
      interface name from `Interface`.

  - ### getClassName

    public String getClassName()
    Returns:
      the class name for a class-based processor.

  - ### isHtmlReport

    public boolean isHtmlReport()
    Returns:
      is HTML report generated by a class-based processor.

  - ### getJsp

    public String getJsp()
    Specified by:
      `getJsp` in interface `GetJsp`
    Returns:
      JSP page with parameters for a class-based processor.

  - ### process

    public void process(ProcessMarkedActionEvent e, ConnectionSet conSet) throws Exception
    Processing event for a class-based processor.
    Parameters:
      `e` - the event with selected processes.
      `conSet` - DB connections.
    Throws:
      `Exception`

  - ### getPageUrl

    public String getPageUrl()
    Returns:
      action URL to be included.